# Uses of Enum
org.italiangrid.voms.error.VOMSValidationErrorCode

Packages that use VOMSValidationErrorCode
Package
Description
org.italiangrid.voms.error
This package provides error code and message definitions for the VOMS API.

## Uses of VOMSValidationErrorCode in org.italiangrid.voms.error

Methods in org.italiangrid.voms.error that return VOMSValidationErrorCode
Modifier and Type
Method
Description
`VOMSValidationErrorCode`
VOMSValidationErrorMessage.`getErrorCode()`
`static VOMSValidationErrorCode`
VOMSValidationErrorCode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VOMSValidationErrorCode[]`
VOMSValidationErrorCode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.italiangrid.voms.error with parameters of type VOMSValidationErrorCode
Modifier and Type
Method
Description
`static VOMSValidationErrorMessage`
VOMSValidationErrorMessage.`newErrorMessage(VOMSValidationErrorCode errorCode)`
`static VOMSValidationErrorMessage`
VOMSValidationErrorMessage.`newErrorMessage(VOMSValidationErrorCode errorCode, Object... params)`